#
# spec file for package python-magic (Version 4.24)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-magic
%define build_python_bindings 1
BuildRequires:  findutils zlib-devel
BuildRequires:  python-devel
Url:            http://www.darwinsys.com/file/
License:        Other uncritical OpenSource License
Group:          Development/Languages/Python
AutoReqProv:    on
Version:        4.24
Release:        1
Summary:        Python module to use libmagic
%py_requires
Source99:       file.spec
%{expand:%(sed -n -e '/^Source:/,/^BuildRoot:/p' <%_sourcedir/file.spec)}
%global         _sysconfdir /etc
%global         _miscdir    %{_datadir}/misc

%description 
This package contains the python binding that require the magic "file"
interface.



Authors:
--------
    Mark Moraes <moraes@deshaw.com>
    Christos Zoulas <christos@deshaw.com>

%prep
%{expand:%(sed -n -e '/^%%prep/,/^%%install/p' <%_sourcedir/file.spec | sed -e '1d' -e '$d')}

%install
pushd python
python setup.py install --root=%{buildroot}	\
			--prefix=%{_prefix}	\
			--record-rpm=../python_files
popd

%files -f python_files
%defattr(-,root,root)
%doc python/README python/example.py

%changelog
* Tue Apr 15 2008 werner@suse.de
- Also change version number in python-magic.spec
* Mon Jan 28 2008 rguenther@suse.de
- Split off from file.
